Last Comment Bug 712576 - Add GPS-A support on android
: Add GPS-A support on android
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: Trunk
: ARM Android
: P3 enhancement (vote)
: Firefox 12
Assigned To: Doug Turner (:dougt)
:
: Sebastian Kaspari (:sebastian)
Mentors:
: 712575 717935 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-21 00:59 PST by Cristobal Arellano
Modified: 2012-01-16 19:12 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
11+


Attachments
patch v.1 (1.59 KB, patch)
2012-01-13 14:51 PST, Doug Turner (:dougt)
josh: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Cristobal Arellano 2011-12-21 00:59:48 PST
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/535.11 (KHTML, like Gecko) Chrome/17.0.963.12 Safari/535.11

Steps to reproduce:

Terminal: Google Samsung Galaxy Nexus with Android Sandwich

In Firefox Mobile, go to http://html5demos.com/geo.
In Native Browser, go to http://html5demos.com/geo.


Actual results:

In Firefox Mobile:
If the GPS-D (normal GPS) has acquired the minimun number of satellites (4), it works. In other case it fails.

In Native Browser: It works without the acquistion of number of satellites (without GPS-D). It is supposed that GPS-A is used.


Expected results:

The same behaviour of Native Browser is expected.

I cannot find the exact line in the code but it is related with the usage of LocationManager.GPS_PROVIDER (LocationManager.NETWORK_PROVIDER should be added).
Comment 1 Doug Turner (:dougt) 2011-12-22 11:10:00 PST
*** Bug 712575 has been marked as a duplicate of this bug. ***
Comment 2 Doug Turner (:dougt) 2012-01-12 14:02:02 PST
i am not working on these right now.  resetting assignee.
Comment 3 Doug Turner (:dougt) 2012-01-13 07:43:37 PST
*** Bug 717935 has been marked as a duplicate of this bug. ***
Comment 4 Doug Turner (:dougt) 2012-01-13 14:51:58 PST
Created attachment 588535 [details] [diff] [review]
patch v.1
Comment 5 Josh Matthews [:jdm] (on vacation until Dec 5) 2012-01-13 15:01:50 PST
Comment on attachment 588535 [details] [diff] [review]
patch v.1

Seems reasonable.
Comment 6 Marco Bonardo [::mak] 2012-01-14 01:48:32 PST
https://hg.mozilla.org/mozilla-central/rev/254f355a4a96
Comment 7 Alex Keybl [:akeybl] 2012-01-16 13:09:21 PST
Comment on attachment 588535 [details] [diff] [review]
patch v.1

[Triage Comment]
Mobile only - approved for Aurora.

Note You need to log in before you can comment on or make changes to this bug.